package tech.nevets.jamlupdater;

import javax.swing.*;
import java.awt.*;

public class Gui extends JFrame {
    static JProgressBar progressBar = new JProgressBar();
    public static final int TASKS = 5;
    public static int task = 0;
    public static final int WIDTH = (int) Toolkit.getDefaultToolkit().getScreenSize().getWidth();
    public static final int HEIGHT = (int) Toolkit.getDefaultToolkit().getScreenSize().getHeight();
    public Gui() {
        JPanel contentPane = new JPanel();
        setResizable(false);
        setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
        setSize(WIDTH / 8, HEIGHT / 8);
        setContentPane(contentPane);
        contentPane.setLayout(null);

        int pbWidth = (int) (getWidth() / 1.3);
        int pbHeight = getHeight() / 8;
        int pbX = (int) ((getWidth() - pbWidth) / 2.3);
        int pbY = getHeight() - (pbHeight * 4);

        progressBar.setBounds(pbX, pbY, pbWidth, pbHeight);
        contentPane.add(progressBar);
        
        JLabel label = new JLabel("Updating JAML ...");
        label.setBounds(40, 30, WIDTH / 12, HEIGHT / 64);
        contentPane.add(label);

    }

    public static void smoothIncrease() {
        int i = progressBar.getValue();
        while (i <= (100 / TASKS) * task) {
            progressBar.setValue(i);
            i += 1;
        }
    }
}
